Combined System Requirements for All Articulate 360 Apps

Article Last Updated

Here are the system requirements for authoring and viewing content in all Articulate 360 apps. (Hover over shaded check marks for additional notes.)

Articulate 360 Network Endpoints

You may need to add these websites to your allowlist to access all the resources included with your Articulate 360 subscription.

Hardware for Authoring Content

 
2.0 GHz processor (minimum)    
2 GB of memory (minimum)    
1 GB of available disk space (minimum)    
1,280 x 800 screen resolution (minimum)    
DirectX 9.0c-capable display adapter       
Sound card with speakers or headphones    
Microphone for recording narration     
Webcam for recording videos      

Operating System for Authoring Content

 
Windows 11   
Windows 10 (32-bit or 64-bit mainstream supported versions)   
Mac OS X (latest version on Intel processor)—Articulate 360 desktop app, Storyline 360, Studio 360, and Replay 360 require Parallels Desktop (latest version) or VMware Fusion (latest version)   

Software for Authoring Content

 
Microsoft .NET Framework 4.8 or later    
Microsoft Visual C++ 2019 Redistributable    
Microsoft Visual Studio 2010 Tools for Office Runtime 4.0        
Microsoft PowerPoint 2016 or 2019 (32-bit or 64-bit) or Microsoft Office 365 (desktop apps only) *See note below.       
Microsoft Word 2016 or 2019 (32-bit or 64-bit) or Microsoft Office 365 (desktop apps only) *See note below.       
Microsoft Visual Basic for Applications (VBA)        
GoToWebinar        

*Mac users: Microsoft Office apps must be installed in your Windows environment.
 

Desktop Browsers for Viewing Content (and Authoring Rise 360 Courses)

 
Internet Explorer 11 
Microsoft Edge (latest version) 
Google Chrome (latest version) 
Firefox (latest version) 
Safari (latest version) 

Mobile Browsers for Viewing Content

 
Safari in Apple iOS/iPadOS (latest version)  
Google Chrome (latest version) in Apple iOS/iPadOS (latest version)  
Google Chrome (latest version) in Android OS 6 or later  

Required Browser Settings for Viewing Content

 
JavaScript must be enabled     
Font downloads must be enabled     
Turn off Compatibility View in Internet Explorer     

Screen Readers for Viewing Content

 
JAWS (latest version)      
NVDA (latest version)       
VoiceOver (latest version)       
TalkBack (latest version)